﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using WritableBitmapDemo.Resources;
using System.Windows.Media.Imaging;
using System.IO.IsolatedStorage;

namespace WritableBitmapDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            // Sample code to localize the ApplicationBar
            //BuildLocalizedApplicationBar();
        }

        // Sample code for building a localized ApplicationBar
        //private void BuildLocalizedApplicationBar()
        //{
        //    // Set the page's ApplicationBar to a new instance of ApplicationBar.
        //    ApplicationBar = new ApplicationBar();

        //    // Create a new button and set the text value to the localized string from AppResources.
        //    ApplicationBarIconButton appBarButton = new ApplicationBarIconButton(new Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative));
        //    appBarButton.Text = AppResources.AppBarButtonText;
        //    ApplicationBar.Buttons.Add(appBarButton);

        //    // Create a new menu item with the localized string from AppResources.
        //    ApplicationBarMenuItem appBarMenuItem = new ApplicationBarMenuItem(AppResources.AppBarMenuItemText);
        //    ApplicationBar.MenuItems.Add(appBarMenuItem);
        //}
        private void But_OnClick(object sender, RoutedEventArgs e)
        {
            WriteableBitmap wbmp = new WriteableBitmap(400, 400);
            wbmp.Render(user, null);
            wbmp.Invalidate();
            BitmapImage bmp = null;
            using (IsolatedStorageFile isf = IsolatedStorageFile.GetUserStoreForApplication())
            {
                using (IsolatedStorageFileStream imageStream = new IsolatedStorageFileStream("img.jpg", System.IO.FileMode.Create, isf))
                {
                    wbmp.SaveJpeg(imageStream, wbmp.PixelWidth, wbmp.PixelHeight, 0, 100);
                    bmp = new BitmapImage();
                    bmp.SetSource(imageStream);
                }
            }
            img.Source = bmp;
        }
    }

    public class ViewModel
    {
        readonly Random rnd=new Random();
        public ViewModel()
        {
            DataModels =new ObservableCollection<Model>();
            for(int i=1;i<5;i++)
                DataModels.Add(new Model(){Xvalue=i,Yvalue=rnd.Next(10,50)});
        }
        public ObservableCollection<Model> DataModels { get; set; } 
    }

    public class Model
    {
        public double Xvalue { get; set; }
        public double Yvalue { get; set; }
    }
}